{
package eGuideDog::Browser::Const;

use strict;
use Curses;

use constant {
#  OK => 1,
  CANCEL => 2,
  EXIT => 5,
  AUTO_SPEAK => 7,
  SET_LANGUAGE => 8,

  LEGAL_KEY => 3,
  ILLEGAL_KEY => 4,
  CATCH_KEY => 20,
  THROW_KEY => 21,

  KEYS_UP => "\x{1B}\x{5B}\x{41}",
  KEYS_DOWN => "\x{1B}\x{5B}\x{42}",
  KEYS_LEFT => "\x{1B}\x{5B}\x{44}",
  KEYS_RIGHT => "\x{1B}\x{5B}\x{43}",
  KEYS_PAGEUP => "\x{1B}\x{5B}\x{35}\x{7E}",
  KEYS_PAGEDOWN => "\x{1B}\x{5B}\x{36}\x{7E}",

  ALT_SPACE => "\x{1B} ",
  ALT_LEFT_BRACKET => "\x{1B}[",
  ALT_RIGHT_BRACKET => "\x{1B}]",
  ALT_PLUS => "\x{1B}+",
  ALT_MINUS => "\x{1B}-",
  ALT_EQUAL => "\x{1B}=",
  ALT_COMMA => "\x{1B},",
  ALT_FULLSTOP => "\x{1B}.",

  ALT_0 => "\x{1B}0",
  ALT_1 => "\x{1B}1",
  ALT_2 => "\x{1B}2",
  ALT_3 => "\x{1B}3",
  ALT_4 => "\x{1B}4",
  ALT_5 => "\x{1B}5",
  ALT_6 => "\x{1B}6",
  ALT_7 => "\x{1B}7",
  ALT_8 => "\x{1B}8",
  ALT_9 => "\x{1B}9",

  ALT_a => "\x{1B}a",
  ALT_b => "\x{1B}b",
  ALT_c => "\x{1B}c",
  ALT_d => "\x{1B}d",
  ALT_e => "\x{1B}e",
  ALT_f => "\x{1B}f",
  ALT_g => "\x{1B}g",
  ALT_h => "\x{1B}h",
  ALT_i => "\x{1B}i",
  ALT_j => "\x{1B}j",
  ALT_k => "\x{1B}k",
  ALT_l => "\x{1B}l",
  ALT_m => "\x{1B}m",
  ALT_n => "\x{1B}n",
  ALT_o => "\x{1B}o",
  ALT_p => "\x{1B}p",
  ALT_q => "\x{1B}q",
  ALT_r => "\x{1B}r",
  ALT_s => "\x{1B}s",
  ALT_t => "\x{1B}t",
  ALT_u => "\x{1B}u",
  ALT_v => "\x{1B}v",
  ALT_w => "\x{1B}w",
  ALT_x => "\x{1B}x",
  ALT_y => "\x{1B}y",
  ALT_z => "\x{1B}z",

  ALT_A => "\x{1B}A",
  ALT_B => "\x{1B}B",
  ALT_C => "\x{1B}C",
  ALT_D => "\x{1B}D",
  ALT_E => "\x{1B}E",
  ALT_F => "\x{1B}F",
  ALT_G => "\x{1B}G",
  ALT_H => "\x{1B}H",
  ALT_I => "\x{1B}I",
  ALT_J => "\x{1B}J",
  ALT_K => "\x{1B}K",
  ALT_L => "\x{1B}L",
  ALT_M => "\x{1B}M",
  ALT_N => "\x{1B}N",
  ALT_O => "\x{1B}O",
  ALT_P => "\x{1B}P",
  ALT_Q => "\x{1B}Q",
  ALT_R => "\x{1B}R",
  ALT_S => "\x{1B}S",
  ALT_T => "\x{1B}T",
  ALT_U => "\x{1B}U",
  ALT_V => "\x{1B}V",
  ALT_W => "\x{1B}W",
  ALT_X => "\x{1B}X",
  ALT_Y => "\x{1B}Y",
  ALT_Z => "\x{1B}Z",

  CTRL_A => "\x{1}",
  CTRL_B => "\x{2}",
  CTRL_C => "\x{3}",
  CTRL_D => "\x{4}",
  CTRL_E => "\x{5}",
  CTRL_F => "\x{6}",
  CTRL_G => "\x{7}",
  CTRL_H => "\x{8}",
  CTRL_I => "\x{9}",
  CTRL_J => "\x{A}",
  CTRL_K => "\x{B}",
  CTRL_L => "\x{C}",
  CTRL_M => "\x{D}",
  CTRL_N => "\x{E}",
  CTRL_O => "\x{F}",
  CTRL_P => "\x{10}",
  CTRL_Q => "\x{11}",
  CTRL_R => "\x{12}",
  CTRL_S => "\x{13}",
  CTRL_T => "\x{14}",
  CTRL_U => "\x{15}",
  CTRL_V => "\x{16}",
  CTRL_W => "\x{17}",
  CTRL_X => "\x{18}",
  CTRL_Y => "\x{19}",
  CTRL_Z => "\x{1A}",
};

sub new {
  my $class = {};
  bless $class, __PACKAGE__;
  return $class;
}
}
1;
