{
package eGuideDog::Browser::UserAgent;

use strict;
use warnings;
use threads;
use threads::shared; # the position of this definition is very important!!

use vars qw(@ISA);
require LWP::UserAgent;
@ISA = qw(LWP::UserAgent);

# require LWP::Protocol::http;
 require eGuideDog::Browser::Protocol::http;
# LWP::Protocol::implementor('http', 'LWP::Protocol::http');
 LWP::Protocol::implementor('http', 'eGuideDog::Browser::Protocol::http');

sub new {
  my ($class, %cnf) = @_;
  my $self = $class->SUPER::new(%cnf);
  my $progress : shared = 0;
  my $finished : shared = 0;
  my $content_len : shared = 0;
  $self->{progress} = \$progress;
  $self->{finished} = \$finished;
  $self->{content_len} = \$content_len;
  bless($self, $class);
  return $self;
}
}
1;
